#coding=utf-8
from django.core.management import BaseCommand

from hippo.tasks import merchant_level_discount_cashback


class Command(BaseCommand):
    """
    商家分级抽成返点
    python manage.py merchant_level_discount_cashback
    """

    def add_arguments(self, parser):
        parser.add_argument(
            '--end_time', type=str, help='结束时间', default= None
        )

    def handle(self, end_time, **options):
        merchant_level_discount_cashback(end_time)